List secret groups
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/secret-groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/secret-groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/secret-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"tenantName": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"associatedSecrets": [
{
"id": "<string>",
"fqn": "<string>",
"name": "<string>",
"secretGroupId": "<string>",
"value": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"secretVersions": [
{
"id": "<string>",
"fqn": "<string>",
"value": "<string>",
"version": 123,
"secret": null,
"secretId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"activeDeploymentsCount": 123,
"createdBy": "<string>"
}
],
"accountId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"fqn": "<string>",
"integrationId": "<string>",
"manifest": {},
"createdBy": "<string>"
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}Secret Groups
List secret groups
List secret groups the caller has access to, along with associated secrets for each group. Secret values are not included in the response.
GET
/
api
/
svc
/
v1
/
secret-groups
List secret groups
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Number of items per page
Required range:
1 <= x <= 1000Example:
10
Number of items to skip
Required range:
x >= 0Example:
0
Fqn of secret group.
Search query - filters by secret group names that contain the search string
Comma-separated list of attributes to return (e.g. id,name). When provided, only the specified fields are fetched. id is always included.
Was this page helpful?
⌘I